<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:26 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/package-summary.html" target="classFrame">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="MessageComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">MessageComResource</span></a></li>
<li><a href="NotificationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">NotificationResource</span></a></li>
<li><a href="SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SharedDataComResource</span></a></li>
<li><a href="SW_InteractionFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SW_InteractionFactory</span></a></li>
<li><a href="SW_InteractionPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SW_InteractionPackage</span></a></li>
<li><a href="SW_InteractionPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SW_InteractionPackage.Literals</span></a></li>
<li><a href="SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SwCommunicationResource</span></a></li>
<li><a href="SwInteractionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SwInteractionResource</span></a></li>
<li><a href="SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SwMutualExclusionResource</span></a></li>
<li><a href="SwSynchronizationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame"><span class="interfaceName">SwSynchronizationResource</span></a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="ConcurrentAccessProtocolKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">ConcurrentAccessProtocolKind</a></li>
<li><a href="MessageResourceKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">MessageResourceKind</a></li>
<li><a href="MutualExclusionResourceKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">MutualExclusionResourceKind</a></li>
<li><a href="NotificationKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">NotificationKind</a></li>
<li><a href="NotificationResourceKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">NotificationResourceKind</a></li>
<li><a href="QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction" target="classFrame">QueuePolicyKind</a></li>
</ul>
</div>
</body>
</html>
